

  {extends file="main.tpl"}
    <!DOCTYPE head PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head xmlns="http://www.w3.org/1999/xhtml">
  {block name=title}GPSBabel development:Building from source.{/block}
  {block name=body}{literal}
                       
  <div xmlns="http://www.w3.org/1999/xhtml" class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Building from source.</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="Download.html">Prev</a> </td><th width="60%" align="center">Chapter 1. Getting or Building GPSBabel</th><td width="20%" align="right"> <a accesskey="n" href="Usage.html">Next</a></td></tr></table><hr /></div><div xmlns="http://www.w3.org/1999/xhtml" class="sect1"><div class="titlepage"><div><div><h2 class="title" ><a id="Source"></a>Building from source.</h2></div></div></div><p> 
 For operating systems where no binary is provided or if 
you want the latest development version, you will have to build it from
source.  The code should be compilable on any system with
ISO C++. It's tested on Linux, Mac OS/X, and Windows cross compilers.
Less frequently, someone will build on MSVC, FreeBSD, OpenBSD, Solaris, 
etc.   Both Clang/LLVM and GNU C++ are regularly exercised.
</p><p>
You can grab a release from the <a class="ulink" href="http://www.gpsbabel.org/download.html" target="_top">GPSBabel download page</a>, but if you're going to be doing any development, you'll find that working from the <a class="ulink" href="https://github.com/gpsbabel/gpsbabel" target="_top">GPSBabel Github repo</a> is easier. Checkouts vis Git, HTTPS, SSH, and Subversion are supported.
</p><p>
  In most cases, the code is as simple to build as running:
</p><p><strong class="userinput"><code> ./configure &amp;&amp; make</code></strong></p><p><a class="ulink" href="http://qt-project.org" target="_top">Qt</a> 
is required for all builds.  Mac and Windows users can download
binaries from <a class="ulink" href="http://qt-project.org/downloads" target="_top">Qt Downloads</a>
Fedora or CentOS users may need to 'yum install qt-devel'.  Optionally, use qt5-base.  When in doubt, 'yum search qt' or 'yum search qt5' can help you find the correct package name
Ubuntu users may need to 'apt-get install libqt4-core libqt4-dev'.
Qt versions 4.6 and newer are supported.
</p><p><a class="ulink" href="http://libusb.sourceforge.net" target="_top">libusb</a> 
is recommended for OS/X and Linux if you want to use a USB Garmin or 
Delorme device.
Fedora users may need to 'yum install libusb-devel'.  Ubuntu users may
need to 'yum install libusb-dev'.
</p><p>There are additional flags that can be passed to configure to
 customize your build of GPSBabel.   
</p><p><strong class="userinput"><code>./configure --help</code></strong></p><p>
lists all the supported options, but of interest we have:</p><p>
 <code class="option">--disable-shapefile</code> Excludes the shapefile support.
</p><p>
  <code class="option">--disable-csv</code> Excludes all support for our something-separated formats.
</p><p>
  <code class="option">--disable-filters</code> Excludes all filter support.
</p><p>
  <code class="option">--enable-efence</code> Activate debugging mode for gpsbabel-debug.
</p><p>
  <code class="option">--with-doc=</code><code class="filename">dir</code> Specifies that the doc should be created and installed in <code class="filename">dir</code>.
</p><p>
  <code class="option">--without-libusb</code> Disables use of libusb, even it's it's available.
</p><p>
 <code class="option">--with-zlib=(included)|system|no</code> By default, we use our own version of zlib. If you specify <code class="option">system</code> the system zlib is used.  A value of <code class="option">no</code> (or --without-zlib) disables zlib.
</p></div><div xmlns="http://www.w3.org/1999/xhtml" class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="Download.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="Getting_and_Building.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="Usage.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Downloading - the easy way. </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Chapter 2. Usage</td></tr></table></div>
  
      {/literal}{/block}
  