

  {extends file="main.tpl"}
    <!DOCTYPE head PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head xmlns="http://www.w3.org/1999/xhtml">
  {block name=title}GPSBabel development:GPX XML (gpx){/block}
  {block name=body}{literal}
                       
  <div xmlns="http://www.w3.org/1999/xhtml" class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">GPX XML (gpx)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="fmt_gpsutil.html">Prev</a> </td><th width="60%" align="center">Chapter 3. The Formats</th><td width="20%" align="right"> <a accesskey="n" href="fmt_hiketech.html">Next</a></td></tr></table><hr /></div><div xmlns="http://www.w3.org/1999/xhtml" class="section"><div class="titlepage"><div><div><h2 class="title" ><a id="fmt_gpx"></a>GPX XML (gpx)</h2></div></div></div><p class="fmtcapshdr">
    This format can...
    </p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p class="fmtcapsitem">
          read and write waypoints
        </p></li><li class="listitem"><p class="fmtcapsitem">
          read and write tracks
        </p></li><li class="listitem"><p class="fmtcapsitem">
          read and write routes
        </p></li></ul></div><p>This format has the following options: <a class="link" href="fmt_gpx.html#fmt_gpx_o_snlen" title="snlen option">snlen</a>, <a class="link" href="fmt_gpx.html#fmt_gpx_o_suppresswhite" title="suppresswhite option">suppresswhite</a>, <a class="link" href="fmt_gpx.html#fmt_gpx_o_logpoint" title="logpoint option">logpoint</a>, <a class="link" href="fmt_gpx.html#fmt_gpx_o_urlbase" title="urlbase option">urlbase</a>, <a class="link" href="fmt_gpx.html#fmt_gpx_o_gpxver" title="gpxver option">gpxver</a>, <a class="link" href="fmt_gpx.html#fmt_gpx_o_humminbirdextensions" title="humminbirdextensions option">humminbirdextensions</a>, <a class="link" href="fmt_gpx.html#fmt_gpx_o_garminextensions" title="garminextensions option">garminextensions</a> .</p><p>This is one of the most capable and expressive formats of all the file
formats supported by GPSBabel.  It is described at <a class="ulink" href="http://www.topografix.com/gpx.asp" target="_top">topografix.com</a> and is
supported by EasyGPS, ExpertGPS, and many other programs described at
<a class="ulink" href="http://www.topografix.com/gpx_resources.asp" target="_top">topografix.com</a>
</p><p>
GPSBabel's reader of this module attempts to preserve tags it doesn't
really understand.   It also tries to glean interesting data from
</p><table border="0" summary="Simple list" class="simplelist"><tr><td><a class="ulink" href="http://www.geocaching.com" target="_top">pocket queries from Geocaching.com,</a></td></tr><tr><td>Garmin's "gpxx" GPX extensions,</td></tr><tr><td>Humminbird's "h" GPX extensions.</td></tr></table><p>
</p><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_snlen"></a><code class="option">snlen</code> option</h3></div></div></div><p>
      Length of generated shortnames.
    </p><p>
  When used with the <code class="option"> -s </code> to control shortnames, the snlen suboption to GPX controls how long the generated smartname will be.  This can be useful for cases like writing GPX files to a GPS that has a fixed waypoint name length.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_suppresswhite"></a><code class="option">suppresswhite</code> option</h3></div></div></div><p>
      No whitespace in generated shortnames.
    </p><p>
When used with the <code class="option">-s</code> to generate smart shortnames, this suboption controls whether whitespace is allowed in the generated shortnames.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_logpoint"></a><code class="option">logpoint</code> option</h3></div></div></div><p>
      Create waypoints from geocache log entries.
    </p><p>
	When reading <a class="ulink" href="http://www.geocaching.com" target="_top"> Groundspeak Pocket Queries </a>, the <code class="option">logpoint</code> option creates additional waypoints from the log entries.
</p><p>
 	A typical use for this is to get coordinates read from "corrected coordinates" logs.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_urlbase"></a><code class="option">urlbase</code> option</h3></div></div></div><p>
      Base URL for link tag in output.
    </p><p>
  This is a fairly esoteric option.  If the GPX file you are reading has only base pathnames (e.g "foo.html") the value you specify to this argument will be prepended to that.  For example, "-o gpx,urlbase=c:\My Documents\Whatever" would result in the link to that waypoint being written to refer to <code class="filename">c:\My Document\WHatever\foo.html</code>
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_gpxver"></a><code class="option">gpxver</code> option</h3></div></div></div><p>
      Target GPX version for output.
    </p><p>
This option specifies the version of the GPX specification to use for 
output.  The default version is 1.0 unless one or more of the input files
is GPX 1.1, then it's 1.1.  The only other valid value for this
option is 1.1.
</p><p>
Notice that this is not a full scale XML schema conversion.  In particular,
if you have a GPX 1.0 file that has extended namespaces in it (such as a 
pocket query from Geocaching.com) just writing it with this option will
result in a horribly mangled GPX file as we can't convert the schema data.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_humminbirdextensions"></a><code class="option">humminbirdextensions</code> option</h3></div></div></div><p>
      Add info (depth) as Humminbird extension.
    </p><p>
Implies <code class="option">gpxver=1.1</code>
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_gpx_o_garminextensions"></a><code class="option">garminextensions</code> option</h3></div></div></div><p>
      Add info (depth) as Garmin extension.
    </p><p>
  Write Garmin-specific extensions, when such data is available, to the GPX.
  Notably, depth, temperature, proximity, display color, ambient temperature,
  heart rate, and cadence are read when they are available in the source data.
  This data can, of course, only be read by GPX readers that know about the 
  Garmin gpxtpx and gpxx extended namespaces.
</p><p>
Implies <code class="option">gpxver=1.1</code>
</p></div></div><div xmlns="http://www.w3.org/1999/xhtml" class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="fmt_gpsutil.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="The_Formats.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="fmt_hiketech.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">gpsutil (gpsutil) </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> HikeTech (hiketech)</td></tr></table></div>
  
      {/literal}{/block}
  