

  {extends file="main.tpl"}
    <!DOCTYPE head PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head xmlns="http://www.w3.org/1999/xhtml">
  {block name=title}GPSBabel development:? Character Separated Values (xcsv){/block}
  {block name=body}{literal}
                       
  <div xmlns="http://www.w3.org/1999/xhtml" class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">? Character Separated Values (xcsv)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="The_Formats.html">Prev</a> </td><th width="60%" align="center">Chapter 3. The Formats</th><td width="20%" align="right"> <a accesskey="n" href="fmt_alantrl.html">Next</a></td></tr></table><hr /></div><div xmlns="http://www.w3.org/1999/xhtml" class="section"><div class="titlepage"><div><div><h2 class="title" ><a id="fmt_xcsv"></a>? Character Separated Values (xcsv)</h2></div></div></div><p class="fmtcapshdr">
    This format can...
    </p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p class="fmtcapsitem">
          read and write waypoints
        </p></li></ul></div><p>
This format is a very flexible module that can be used to read or write 
nearly any plain-text record-based waypoint file.  This flexibility is 
achieved by combining this format with "style" files that describe the 
format of the waypoint files.
</p><p>
There are several formats built in to GPSBabel that use the underlying xcsv 
machinery.  Each of those formats takes the same options as the xcsv format,
with the obvious exception of the <code class="option">style</code> option.  
Those formats are all based on style files that can be found in 
the "style" directory in the GPSBabel source distribution.
</p><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_style"></a><code class="option">style</code> option</h3></div></div></div><p>
      Full path to XCSV style file.
    </p><p>
This option specifies the style file that defines the records to be read on
input or written on output.  This is not a valid option for the various
built-in xcsv-based styles; they have prebuilt style definitions.
</p><p>
For information on the format of xcsv style files, see 
<a class="xref" href="Styles.html" title="Appendix C. GPSBabel XCSV Style Files">Appendix C, <em>GPSBabel XCSV Style Files</em></a>.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_snlen"></a><code class="option">snlen</code> option</h3></div></div></div><p>
      Max synthesized shortname length.
    </p><p>
This option specifies the maximum allowable length for a short name on
output.  This option overrides the style file.
</p><p>
Valid values for this option are 0 (off) and 1 (on).
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_snwhite"></a><code class="option">snwhite</code> option</h3></div></div></div><p>
      Allow whitespace synth. shortnames.
    </p><p>
When this option is specified, GPSBabel will allow whitespace (spaces or tabs)
in generated short names.  This option overrides the style file.
</p><p>
Valid values for this option are 0 (off) and 1 (on).
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_snupper"></a><code class="option">snupper</code> option</h3></div></div></div><p>
      UPPERCASE synth. shortnames.
    </p><p>
When this option is specified, GPSBabel will make all short names contain
only UPPERCASE characters.  This option overrides the style file.
</p><p>
Valid values for this option are 0 (off) and 1 (on).
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_snunique"></a><code class="option">snunique</code> option</h3></div></div></div><p>
      Make synth. shortnames unique.
    </p><p>
When this option is specified, GPSBabel will ensure that all short names are
unique within the output file.  This option overrides the style file.
</p><p>
Valid values for this option are 0 (off) and 1 (on).
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_urlbase"></a><code class="option">urlbase</code> option</h3></div></div></div><p>
      Basename prepended to URL on output.
    </p><p>
This option specifies the base name to prepend to a URL on output.  This 
might be useful if an input file contains URLs in a relative format and you
need them to be in an absolute format.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_prefer_shortnames"></a><code class="option">prefer_shortnames</code> option</h3></div></div></div><p>
      Use shortname instead of description.
    </p><p>
This option causes GPSBabel to use the short name of the waypoint instead
of the description.  This overrides the style file.
</p><p>
Valid values for this option are 0 (off) and 1 (on).
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_xcsv_o_datum"></a><code class="option">datum</code> option</h3></div></div></div><p>
      GPS datum (def. WGS 84).
    </p><p>
This option specifies the GPS datum to be used on read or write. Valid values for this 
option are listed in <a class="xref" href="Datums.html" title="Appendix A. Supported Datums">Appendix A, <em>Supported Datums</em></a>.
</p></div></div><div xmlns="http://www.w3.org/1999/xhtml" class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="The_Formats.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="The_Formats.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="fmt_alantrl.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 3. The Formats </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Alan Map500 tracklogs (.trl) (alantrl)</td></tr></table></div>
  
      {/literal}{/block}
  