

  {extends file="main.tpl"}
    <!DOCTYPE head PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head xmlns="http://www.w3.org/1999/xhtml">
  {block name=title}GPSBabel development:Realtime tracking{/block}
  {block name=body}{literal}
                       
  <div xmlns="http://www.w3.org/1999/xhtml" class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Realtime tracking</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="inifile.html">Prev</a> </td><th width="60%" align="center">Chapter 2. Usage</th><td width="20%" align="right"> <a accesskey="n" href="batchfile.html">Next</a></td></tr></table><hr /></div><div xmlns="http://www.w3.org/1999/xhtml" class="sect1"><div class="titlepage"><div><div><h2 class="title" ><a id="tracking"></a>Realtime tracking</h2></div></div></div><p>
      Introduced in GPSBabel 1.3.1, we now have an <span class="emphasis"><em>experimental</em></span>  feature for realtime tracking via the new <code class="option">-T</code> option.  This reads position reports from selected formats and writes an output file when a position report is received. 
    </p><p>
      As of this writing, <a class="link" href="fmt_garmin.html" title="Garmin serial/USB protocol (garmin)">Garmin's PVT
        protocol</a>  and 
      <a class="link" href="fmt_nmea.html" title="NMEA 0183 sentences (nmea)">NMEA</a>  are supported 
	  inputs. KML, NMEA, and the various XCSV formats are supported on 
	  output.   Additional formats may be added by interested parties 
	  later.
    </p><div class="example"><a id="realtime_reading"></a><p class="title"><strong>Example 2.6. Read realtime positioning from Garmin USB, write to Keyhole Markup</strong></p><div class="example-contents"><p><strong class="userinput"><code>gpsbabel -T -i garmin -f usb: -o kml -F xxx.kml</code></strong></p><p>
   	  Will read the USB-connected Garmin and rewrite 'xxx.kml' atomically,
          suitable for a self-refreshing network link in Google Earth.
        </p></div></div><br class="example-break" /><div class="example"><a id="realtime_reading_wintec"></a><p class="title"><strong>Example 2.7. Read realtime positioning from Wintec WBT-201 via Bluetooth on Mac, write to Keyhole Markup</strong></p><div class="example-contents"><p><strong class="userinput"><code>gpsbabel -T -i nmea -f /dev/cu.G-Rays2-SPPslave-1 -o kml -F xxx.kml</code></strong></p><p>
    Will read the Wintec WBT-201 via Bluetooth, using the name that
    the Mac assigned it, and rewrite 'xxx.kml' atomically,
          suitable for a self-refreshing network link in Google Earth.
        </p></div></div><br class="example-break" /><p>
          Be sure to substitute an device name appropriate for your device
          and OS, such as <code class="filename">/dev/cu.usbserial</code> or
          <code class="filename">/dev/cu.BT-GPS-37A695-BT-GPSCOM-1</code>
          for Mac, <code class="filename">COM23:</code> for Windows, or
          <code class="filename">usb:</code> for
          <a class="link" href="fmt_garmin.html" title="Garmin serial/USB protocol (garmin)">Garmin USB</a>.    These names
            (except the "usb:" parlance for Garmin USB) are assigned by
            your operating system.

        </p></div><div xmlns="http://www.w3.org/1999/xhtml" class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="inifile.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="Usage.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="batchfile.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Working with predefined options </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Batch mode (command files)</td></tr></table></div>
  
      {/literal}{/block}
  